package net.voltexstudios.applicationLobby.phone.items;

import net.voltexstudios.applicationLobby.phone.AppItem;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.jetbrains.annotations.NotNull;
import xyz.xenondevs.inventoryaccess.component.ComponentWrapper;

public class CommandAppItem extends AppItem {

    private final String command;

    public CommandAppItem(String command, ComponentWrapper name, ComponentWrapper... lore) {
        super(name, lore);
        this.command = command;
    }

    @Override
    public void handleClick(@NotNull ClickType clickType, @NotNull Player player, @NotNull InventoryClickEvent inventoryClickEvent) {
        //TODO: Implement command execution
        player.sendMessage(command);
        player.closeInventory();
    }
}
