package net.voltexstudios.applicationLobby.phone.items;

import net.voltexstudios.applicationLobby.phone.AppItem;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.jetbrains.annotations.NotNull;
import xyz.xenondevs.inventoryaccess.component.ComponentWrapper;

public class FunctionAppItem extends AppItem {

    private final Runnable function;

    public FunctionAppItem(Runnable function, ComponentWrapper name, ComponentWrapper... lore) {
        super(name, lore);
        this.function = function;
    }

    @Override
    public void handleClick(@NotNull ClickType clickType, @NotNull Player player, @NotNull InventoryClickEvent inventoryClickEvent) {
        this.function.run();
        player.closeInventory();
    }
}
