package net.voltexstudios.applicationLobby.util.item;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.event.player.PlayerSwapHandItemsEvent;

public class InteractListener implements Listener {

    @EventHandler(priority = EventPriority.HIGHEST)
    public void onInteract(PlayerInteractEvent event) {
        Player player = event.getPlayer();

        InteractableItem item = ItemRegistry.getItem(event.getItem());
        if(item != null) {
            item.onAction(player, event);
            event.setCancelled(true);
        }
    }

    @EventHandler
    public void onSwitchHand(PlayerSwapHandItemsEvent event) {
        Player player = event.getPlayer();

        InteractableItem mainItem = ItemRegistry.getItem(event.getMainHandItem());
        if(mainItem != null) {
            event.setCancelled(true);
        }
    }

}
