package net.voltexstudios.applicationLobby.commands;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import net.voltexstudios.applicationLobby.ApplicationLobby;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

public class SpawnCommand implements CommandExecutor {
    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command cmd, @NotNull String label, @NotNull String[] args) {

        if (!(sender instanceof Player player)) {
            sender.sendMessage(
                    ApplicationLobby.PREFIX
                            .append(Component.text("Only players can use this command!").color(NamedTextColor.RED))
            );
            return false;
        }

        player.teleport(ApplicationLobby.getInstance().getSpawnLocation());
        return false;
    }
}
