package net.voltexstudios.applicationLobby.phone;

import org.bukkit.Material;

import xyz.xenondevs.inventoryaccess.component.ComponentWrapper;
import xyz.xenondevs.invui.item.ItemProvider;
import xyz.xenondevs.invui.item.builder.ItemBuilder;
import xyz.xenondevs.invui.item.impl.AbstractItem;

import java.util.List;

public abstract class AppItem extends AbstractItem {

    private final ComponentWrapper name;
    private final List<ComponentWrapper> lore;

    public AppItem(ComponentWrapper name, ComponentWrapper... lore) {
        this.name = name;
        this.lore = List.of(lore);
    }

    @Override
    public ItemProvider getItemProvider() {
        return new ItemBuilder(Material.DIAMOND)
                .setDisplayName(name)
                .setLore(lore)
                .setCustomModelData(1);
    }
}
