package net.voltexstudios.applicationLobby.util.item;

import lombok.Getter;
import lombok.Setter;
import org.bukkit.entity.Player;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.ItemStack;

@Getter
@Setter
public abstract class InteractableItem {

    public ItemStack itemStack;

    public InteractableItem(ItemStack itemStack) {
        this.itemStack = itemStack;
    }

    public abstract void onAction(Player player, PlayerInteractEvent event);

}
