package net.voltexstudios.applicationLobby.util.item;

import org.bukkit.inventory.ItemStack;

import java.util.ArrayList;
import java.util.List;

public class ItemRegistry {

    private static final List<InteractableItem> items = new ArrayList<>();

    public static InteractableItem getItem(ItemStack itemStack) {
        return items.stream().filter(item -> item.getItemStack().equals(itemStack)).findFirst().orElse(null);
    }

    public static void registerItem(InteractableItem item) {
        items.add(item);
    }

}
